Bug 818433 - [installer-war] two tests in DBInstallationTest are failing with "ClassCastException: java.math.BigDecimal cannot be cast to java.lang.Integer" errors when run against Oracle
[installer-war] two tests in DBInstallationTest are failing with "ClassCastEx...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Database (Show other bugs)
4.3
Unspecified Unspecified
urgent Severity high (vote)
: ---
: JON 3.1.0
Assigned To: Lukas Krejci
Mike Foley
:
Depends On:
Blocks: jon30-issues
  Show dependency treegraph
 
Reported: 2012-05-03 01:29 EDT by Ian Springer
Modified: 2013-09-03 11:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Oracle DB
Last Closed: 2013-09-03 11:03:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-05-03 01:29:18 EDT
The following tests started failing in the rhq-master-ora Jenkins job after the password obfuscation changes got committed:

 org.rhq.enterprise.installer.DBInstallationTest.upgradeJON240Schema 	
 org.rhq.enterprise.installer.DBInstallationTest.upgradeJON300Schema 

Here's the exception:

java.lang.RuntimeException: Cannot run ANT on script [/tmp/db-upgrade.xml]. Cause: /tmp/db-upgrade.xml:27: Failed to upgrade - error in spec version [2.121]. Cause: Error executing the task [org.rhq.core.db.ant.dbupgrade.SST_JavaTask] in schema spec version [2.121]. Cause: Java Task Error: class=[java.lang.ClassCastException: java.math.BigDecimal cannot be cast to java.lang.Integer]
	at org.rhq.enterprise.installer.ServerInformation.startAnt(ServerInformation.java:769)
	at org.rhq.enterprise.installer.ServerInformation.upgradeExistingDatabaseSchema(ServerInformation.java:283)
	at org.rhq.enterprise.installer.DBInstallationTest.upgradeJON300Schema(DBInstallationTest.java:102)


This issue should be fixed asap so we can get the Jenkins green again, since we are getting close to the 4.4 release.
Comment 1 Lukas Krejci 2012-05-03 04:52:30 EDT
commit 501fe6e4677485c6a24527bda6f39ecec5bb1191
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Thu May 3 10:48:25 2012 +0200

    [BZ 818433] - Another batch of fixes for the obfuscation upgrade task to be Oracle compatible.
Comment 2 Viet Nguyen 2012-05-29 12:48:25 EDT
tested oracle upgrade with 3.1 ER6
Comment 4 Heiko W. Rupp 2013-09-03 11:03:50 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.